﻿
$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://github.com/t1m0thyj/WinDynamicDesktop/releases/download/v5.4.2/WinDynamicDesktop_5.4.2_x86_Setup.exe'
$url64      = 'https://github.com/t1m0thyj/WinDynamicDesktop/releases/download/v5.4.2/WinDynamicDesktop_5.4.2_x64_Setup.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64         = $url64

  softwareName  = 'WinDynamicDesktop*'

  checksum      = '7cc05fce697a0a9b4668b837502bbc3b7725577c46c1f7a9c03ad172b3b69229'
  checksumType  = 'sha256'
  checksum64    = '2fea0da84c39729742be0af366af16d85361133c5bc41bee5f057509e9ef3931'
  checksumType64= 'sha256'

  silentArgs    = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
